// get the proper transform extension
function getTransformExtension(element) {
    
    "use strict";
    
    // create a static array of known extensions
    var properties = [
        "transform",
        "WebkitTransform",
        "msTransform",
        "MozTransform",
        "OTransform"
    ];
    
    // get aray count for looping   
    var count = properties.length,
        i;
    
    for (i = 0; i < count; i = i + 1) {
        
        // save the property in context to a variable
        var property = properties[i];
        
        // pass the property through the element's style object and check if it's defined
        if (typeof element.style[property] !== "undefined") {
            
            // when you get something that's not undefined, return it
            return property;
        }

    }
}

// anonymous function to contain the variables
(function(){

    "use strict";

    var body = document.getElementsByTagName("body")[0],
        block = document.getElementById("block"),
        extension = getTransformExtension(body);
    
    block.style[extension] = "rotate(10deg)";
    
    block.addEventListener("gesturechange", function(e) {
        
        e.preventDefault();
        
       block.style[extension] = "scale("+ e.scale +")";
        
    }, false);
    
    block.addEventListener("gestureend", function(e) {
    
        if(e.scale > 1.5){
            block.style[extension] = "scale(3)";
        } else {
            block.style[extension] = "scale(1) rotate(10deg)";
        }
    }, false);
    
})();